LogAggregatorTask fails with EmptyStackException due to ServiceFailure

2013-10-09 21:44 - Robert Waltz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.0   

Description

When the LogAggregatorTask receives a ServiceFailure from a membernode, it should retry the operation 5x before giving up.  

If the first time LogAggregatorTask runs and a ServiceFailure occurs, the job will faile with an EmptyStackException since

logQueryDateRange has been popped off the stack, but not pushed back on before retrying the op.

Also of note:  LogAggregatorTask should stop when LogAggregator.active property has been set to false

Related issues:

Related to Infrastructure - Story #4025: Release CCI 1.2.3 Features Closed 2013-10-02 2013-10-26

Associated revisions

Revision a5ee21f1 - 2013-10-17 16:27 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12725 - 2013-10-17 16:27 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12725 - 2013-10-17 16:27 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect
Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12725 - 2013-10-17 16:27 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12725 - 2013-10-17 16:27 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 205292db - 2013-10-17 16:29 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12726 - 2013-10-17 16:29 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075
LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12726 - 2013-10-17 16:29 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12726 - 2013-10-17 16:29 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

Revision 12726 - 2013-10-17 16:29 - Robert Waltz

refs #4099

NodeIds of Log entries may be incorrect

Also of note: LogAggregatorTask should stop when LogAggregator.active property has been set to false

refs #4075

LogAggregatorTask fails with EmptyStackException due to ServiceFailure

History

#1 - 2013-10-28 19:34 - Robert Waltz

- Status changed from In Progress to Closed
